// cubist.pov - happy accident with trees1.bas and raw2pov
// realized by taudas@ais.org june 1993

include "colors.inc"
include "shapes.inc"
include "textures.inc"

include "stones.inc"

/* Texture declarations for object 'tree' (The Object) */
#declare tree_C1 = texture {
    grnt15
    ambient 0.1
    diffuse 0.7
    phong 1.0
    phong_size 70.0
//    color ForestGreen
}


composite {  /* The Object */
    #include "cubist.inc"
    /*
	Scene extents
	X - Min:  -4.0000  Max: 179.5003
	Y - Min:   0.0000  Max: 224.4564
	Z - Min: -45.8528  Max:  76.2723
    */
}

camera {
    location <-99.0871 110.0108 -356.5836>
    look_at <37.7502 112.2282 15.2097>
}

object {
    light_source { <157.0979 271.3585 -451.9635> color red 2 green 2 blue 2 }
}
object {
    light_source { <-557.0979 371.3585 -551.9635> color red 2 green 2 blue 2 }
}

/* Grassy meadow */
object {
    plane { <0.0 1.0 0.0> 0.0  }
    texture {
	0.05  /* This value dithers the colors */
	color 
	DarkGreen
	waves 1.0
	frequency 2000.0
	scale <500000.0 500000.0 5000000.0>
	ambient 0.1
	diffuse 0.3
     }
 }


// sky plane description   
// this renders a sky reminiscent of late autumn - high dark windswept clouds
// and lower broken cloud cover - rainclouds 
// by dr. bob mcmahon - 1992
object { plane { <0.0 -1.0 0.0> -1000.0  }
  texture { 
  bozo turbulence 1.0
     color_map {
// dark blur to blue
       [0.0 0.5 color red 0.0 blue 0.3 green 0.0
		color red 0.0 blue 0.8 green 0.0]
// blue to purple
       [0.5 0.6 color red 0.0 blue 0.8 green 0.0
		color red 0.5 blue 1.0 green 0.0]
// purple to grey
       [0.6 1.001 color red 0.5 blue 1.0 green 0.0
		color red 0.5 blue 1.0 green 0.5]
      }
     scale <50 1000 1000> rotate <0 -35 0> ambient 0.45 diffuse 0.4
   }
// this is the lower set of clouds
  texture { bozo turbulence 0.6
     color_map {
// blue to blue - black to black mask
       [0.0 0.5 color red 0.0 blue 0.0 green 0.0 alpha 1.0
		color red 0.0 blue 0.0 green 0.0 alpha 1.0]
// black mask to blue
       [0.5 0.6 color red 0.5 blue 1.0 green 0.5 alpha 0.9
		color red 0.5 blue 1.0 green 0.5 alpha 0.2]
// blue to white
       [0.6 0.7 color red 0.5 blue 1.0 green 0.5 alpha 0.2
		color red 1.0 blue 1.0 green 1.0 alpha 0.0]
// white to grey
       [0.7 1.001 color red 1.0 blue 1.0 green 1.0
		color red 0.45 blue 0.45 green 0.45]
      }
// scaling can stretch out the clouds in stratosphere
// to simulate windswept appearance (as above) or make
// a more fluffy cloud cover (as below)
     scale <800 80 800> rotate <0 45 0> ambient 0.5 diffuse 0.0
   }
  }
// thank you dr. bob!

fog { color red 0.2 green 0.2 blue 0.2 2000  }

